# wxRichTextLine Class Reference
[Rich Text]

`#include <wx/richtext/richtextbuffer.h>`

## Detailed Description

This object represents a line in a paragraph, and stores offsets from the start of the paragraph representing the start and end positions of the line.

##

Library: wxRichText

Category: Rich Text

See also:
  wxRichTextBuffer, wxRichTextCtrl

## Public Member Functions
| wxRichTextLine (wxRichTextParagraph *parent)
| wxRichTextLine (const wxRichTextLine &obj)
virtual | ~wxRichTextLine ()
void | SetRange (const wxRichTextRange &range)
| Sets the range associated with this line.
void | SetRange (long from, long to)
| Sets the range associated with this line.
wxRichTextParagraph * | GetParent ()
| Returns the parent paragraph.
const wxRichTextRange & | GetRange () const
| Returns the range.
wxRichTextRange & | GetRange ()
| Returns the range.
wxRichTextRange | GetAbsoluteRange () const
| Returns the absolute range.
virtual wxSize | GetSize () const
| Returns the line size as calculated by Layout.
virtual void | SetSize (const wxSize &sz)
| Sets the line size as calculated by Layout.
virtual wxPoint | GetPosition () const
| Returns the object position relative to the parent.
virtual void | SetPosition (const wxPoint &pos)
| Sets the object position relative to the parent.
virtual wxPoint | GetAbsolutePosition () const
| Returns the absolute object position.
virtual wxRect | GetRect () const
| Returns the rectangle enclosing the line.
void | SetDescent (int descent)
| Sets the stored descent.
int | GetDescent () const
| Returns the stored descent.
void | Init (wxRichTextParagraph *parent)
| Initialises the object.
void | Copy (const wxRichTextLine &obj)
| Copies from obj.
virtual wxRichTextLine * | Clone () const
## Protected Attributes
wxRichTextRange | m_range
wxPoint | m_pos
wxSize | m_size
int | m_descent
wxRichTextParagraph * | m_parent

List of all members.

## Constructor & Destructor Documentation

wxRichTextLine::wxRichTextLine | ( | wxRichTextParagraph * | parent | ) |

wxRichTextLine::wxRichTextLine | ( | const wxRichTextLine & | obj | ) | `[inline]`

virtual wxRichTextLine::~wxRichTextLine | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual wxRichTextLine* wxRichTextLine::Clone | ( |  | ) | const`[inline, virtual]`

void wxRichTextLine::Copy | ( | const wxRichTextLine & | obj | ) |

Copies from obj.

virtual wxPoint wxRichTextLine::GetAbsolutePosition | ( |  | ) | const`[virtual]`

Returns the absolute object position.

wxRichTextRange wxRichTextLine::GetAbsoluteRange | ( |  | ) | const

Returns the absolute range.

int wxRichTextLine::GetDescent | ( |  | ) | const`[inline]`

Returns the stored descent.

wxRichTextParagraph* wxRichTextLine::GetParent | ( |  | ) | `[inline]`

Returns the parent paragraph.

virtual wxPoint wxRichTextLine::GetPosition | ( |  | ) | const`[inline, virtual]`

Returns the object position relative to the parent.

wxRichTextRange& wxRichTextLine::GetRange | ( |  | ) | `[inline]`

Returns the range.

const wxRichTextRange& wxRichTextLine::GetRange | ( |  | ) | const`[inline]`

Returns the range.

virtual wxRect wxRichTextLine::GetRect | ( |  | ) | const`[inline, virtual]`

Returns the rectangle enclosing the line.

virtual wxSize wxRichTextLine::GetSize | ( |  | ) | const`[inline, virtual]`

Returns the line size as calculated by Layout.

void wxRichTextLine::Init | ( | wxRichTextParagraph * | parent | ) |

Initialises the object.

void wxRichTextLine::SetDescent | ( | int | descent | ) | `[inline]`

Sets the stored descent.

virtual void wxRichTextLine::SetPosition | ( | const wxPoint & | pos | ) | `[inline, virtual]`

Sets the object position relative to the parent.

void wxRichTextLine::SetRange | ( | long | from,
|  | long | to |
| ) |  |  | `[inline]`

Sets the range associated with this line.

void wxRichTextLine::SetRange | ( | const wxRichTextRange & | range | ) | `[inline]`

Sets the range associated with this line.

virtual void wxRichTextLine::SetSize | ( | const wxSize & | sz | ) | `[inline, virtual]`

Sets the line size as calculated by Layout.

## Member Data Documentation

int wxRichTextLine::m_descent`[protected]`

wxRichTextParagraph* wxRichTextLine::m_parent`[protected]`

wxPoint wxRichTextLine::m_pos`[protected]`

wxRichTextRange wxRichTextLine::m_range`[protected]`

wxSize wxRichTextLine::m_size`[protected]`

|  | [ top ]